TOP(1)

NAME
top - show processes sorted by CPU usage

SYNOPSIS
top [-sdelay] [-B]

DESCRIPTION
Top displays a list of all running processes, once every update interval (currently 5 seconds). It is sorted by the CPU usage of the processes in the last interval. The first display is the CPU usage of processes since the boot time.

OPTIONS

  -sdelay The number of seconds between screen updates.
  -B Blocked-verbose mode.
  For every process that is blocked,
  display the chain of block-dependencies up until the process
  that is either not blocked or blocked on ANY. At the top of the screen, top shows the current system load averages in the last 1-minute, 5-minute and 15-minute intervals. Then, over the last top interval it displays: the number of alive, active, and sleeping processes; memory free; and CPU usage. CPU usage is split into user, kernel, system and idle time. Kernel time is time spent in the kernel. System time are system user processes, such as drivers and servers. User time is all other CPU time. Then it displays all the alive processes sorted by CPU usage in the last interval, with a number of fields for every process. Currently the following fields are displayed:

  PID
    The process id of the process. Some processes (so-called kernel
    tasks) don't have a real process id, as they are not processes
    that are managed by the process manager, and aren't visible to
    other user processes by pid. They are shown by having their process
    slot number in square brackets.
  USERNAME
    The username of the effective uid at which the process runs,
    or a number if the username could not be looked up.
  PRI
    The system scheduling priority the process is currently running as.
    A lower priority number gives a higher scheduling priority. The
    lowest is 0. The scale is internal to the kernel.
  NICE
    The base scheduling priority the process has been given at startup.
    0 is normal for a regular user process; the range is -20 to 20
    (PRIO_MIN and PRIO_MAX in <sys/resource.h>. Most system processes
    are given higher base priorities.
  SIZE
    Text + data size in kilobytes.
  STATE
    RUN if the process is runnable, empty if blocking.
  TIME
    Total number of CPU time spent in the process itself. So-called
    system time (CPU time spent on behalf of this process by another
    process, generally a system process) is not seen here.
  CPU
    Percentage of time that the process was running in the last interval.
  COMMAND
    Name of the command that belongs to this process.

SEE ALSO
ps(1)

BUGS
This is a from-scratch reimplementation of top for MINIX 3. Many features (such as interactive commands) are not implemented. Sorting is only done by CPU usage currently. Displayed state is only RUN or empty.

AUTHOR
Ben Gras (beng@few.vu.nl)